{% extends 'blog/base.html' %}

{% block content %}
    <div class="detail_post">
        <div class="detail_post_title">{{ post.title }}</div>
        <div class="detail_post_info">
            <a href="{% url 'user_detail' user_pk=post.author.pk %}"> {{ post.author }} </a>|
            {{ post.publish_date }} |
            Tags -
            {% for tag in post.tags.all %}
                <a href="">{{ tag }}</a>
            {% endfor %} |
            {% if user.is_authenticated and user not in post.vote_users.all %}
                <div>
                    Rate this post:
                    <a class="rate_button" href="{% url 'new_rate' post_pk=post.pk variable=1 %}"> 1 </a>
                    <a class="rate_button" href="{% url 'new_rate' post_pk=post.pk variable=2 %}"> 2 </a>
                    <a class="rate_button" href="{% url 'new_rate' post_pk=post.pk variable=3 %}"> 3 </a>
                    <a class="rate_button" href="{% url 'new_rate' post_pk=post.pk variable=4 %}"> 4 </a>
                    <a class="rate_button" href="{% url 'new_rate' post_pk=post.pk variable=5 %}"> 5 </a>
                </div>
            {% else %}
                Rating: {{ post.post_rating }}
            {% endif %}
        </div>
        <div class="detail_post_text">
            {{ post.text }}
        </div>
    </div>
    <div>
    <div class="button_block">
        <a href="{% url 'post_list' %}" class="button"><span>Back to post list</span></a>
        {% if user == post.author or user.is_staff %}
            <a href="{% url 'post_edit' post_pk=post.pk %}" class="button"><span>Edit</span></a>
            <a href="{% url 'post_delete' post_pk=post.pk %}" class="button"><span>Delete</span></a>
        {% endif %}
    </div>
    </div>

    <div class="comments">
        <h3>Comments</h3>
        <a href="{% url 'new_comment' post_pk=post.pk %}" class="button"><span>Add comment</span></a>
        {% for comment in comments %}
            <div>
                {{ comment.author }}
                {{ comment.publish_date }}
                {% if user == post.author or user == comment.author or user.is_staff %}
                    <a href="{% url 'edit_comment' post_pk=post.pk comment_pk=comment.pk %}"> edit </a>
                    <a href="{% url 'delete_comment' post_pk=post.pk comment_pk=comment.pk %}"> delete </a>
                {% endif %}
            </div>
            <div>
                {{ comment.text }}
            </div>
        {% endfor %}
    </div>
{% endblock %}
